// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME GUI_Dict

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "RConfig.h"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// Since CINT ignores the std namespace, we need to do so in this file.
namespace std {} using namespace std;

// Header files passed as explicit arguments
#include "GUI.hpp"

// Header files passed via #pragma extra_include

namespace ROOT {
   static TClass *GUI_Dictionary();
   static void GUI_TClassManip(TClass*);
   static void delete_GUI(void *p);
   static void deleteArray_GUI(void *p);
   static void destruct_GUI(void *p);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::GUI*)
   {
      ::GUI *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TIsAProxy(typeid(::GUI));
      static ::ROOT::TGenericClassInfo 
         instance("GUI", "GUI.hpp", 52,
                  typeid(::GUI), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &GUI_Dictionary, isa_proxy, 4,
                  sizeof(::GUI) );
      instance.SetDelete(&delete_GUI);
      instance.SetDeleteArray(&deleteArray_GUI);
      instance.SetDestructor(&destruct_GUI);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::GUI*)
   {
      return GenerateInitInstanceLocal((::GUI*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_(Init) = GenerateInitInstanceLocal((const ::GUI*)0x0); R__UseDummy(_R__UNIQUE_(Init));

   // Dictionary for non-ClassDef classes
   static TClass *GUI_Dictionary() {
      TClass* theClass =::ROOT::GenerateInitInstanceLocal((const ::GUI*)0x0)->GetClass();
      GUI_TClassManip(theClass);
   return theClass;
   }

   static void GUI_TClassManip(TClass* ){
   }

} // end of namespace ROOT

namespace ROOT {
   // Wrapper around operator delete
   static void delete_GUI(void *p) {
      delete ((::GUI*)p);
   }
   static void deleteArray_GUI(void *p) {
      delete [] ((::GUI*)p);
   }
   static void destruct_GUI(void *p) {
      typedef ::GUI current_t;
      ((current_t*)p)->~current_t();
   }
} // end of namespace ROOT for class ::GUI

namespace {
  void TriggerDictionaryInitialization_GUI_Dict_Impl() {
    static const char* headers[] = {
"GUI.hpp",
0
    };
    static const char* includePaths[] = {
"/Applications/root_v6.06.00/include",
"/Volumes/STORAGE1/Bitbucket/Erik/TestGraph/TestGraph/TestGraph/GUI/",
0
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "GUI_Dict dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_Autoloading_Map;
class __attribute__((annotate("$clingAutoload$GUI.hpp")))  GUI;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "GUI_Dict dictionary payload"

#ifndef G__VECTOR_HAS_CLASS_ITERATOR
  #define G__VECTOR_HAS_CLASS_ITERATOR 1
#endif

#define _BACKWARD_BACKWARD_WARNING_H
#include "GUI.hpp"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[]={
"GUI", payloadCode, "@",
nullptr};

    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("GUI_Dict",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_GUI_Dict_Impl, {}, classesHeaders);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_GUI_Dict_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_GUI_Dict() {
  TriggerDictionaryInitialization_GUI_Dict_Impl();
}
